;;TAG1.LSP Copyright 1998 HyperPics all rights reserved
;;
;;  Author: Lee Ambrosius,
;;             HyperPics

;;TAG1
;;The tag allows the user to place a numbered bubble at any give point.
;;The number counts upward in an increment of one from the users defined number.


(defun MYERROR (S)                    ;;error trap program
   (if (/= S "\nFunction cancelled" )
   (prompt "\nEnding Tag1 routine..." ) )
   (setvar "OSMODE" OS)
   (setvar "CMDECHO" CMD)
   (command "._undo" "end")
   (setq *ERROR* OLDERR )
  (princ) 
)


(defun c:TAG1 ()
  (graphscr)
  (setq CMD (getvar "cmdecho"))
  (setvar "cmdecho" 0)
  (setq OLDERR *ERROR*)
  (setq *ERROR* MYERROR )  
  (command "._undo" "begin")
  (setq OS (getvar "osmode"))
  (setvar "osmode" 0)
  (initget 1)
  (setq TAGNUM (getint "\nTag starting number: "))
  (while (setq PT (getpoint "\nInput center point for tag: "))
     (command "circle" PT (/ (getvar "dimscale") 4.0)
              "text" "m" PT (/ (/ (getvar "dimscale") 4.0) 2) 0 (itoa TAGNUM)
     )
     (setq TAGNUM (1+ TAGNUM))
  )
  (redraw)
  (setvar "osmode" OS)
  (setvar "cmdecho" CMD)
  (setq *ERROR* OLDERR )  
  (command "._undo" "end")
 (princ)
)

(princ)
  (prompt "\nEnter TAG1 for the tag1 routine.")
(princ)
